const { createElement } = wp.element;
const { RichText } = wp.editor;
const { registerBlockType } = wp.blocks;

registerBlockType(
	'blocos-de-exemplo/meu-primeiro-bloco',
	{
		title: 'Bloco de Exemplo',
		icon: 'heart',
		category: 'common',

		attributes: {
			conteudo: {
				type: 'string',
				source: 'html',
				selector: 'p',
			},
		},

		edit( props ) {
			const {
				className,
				setAttributes,
				attributes: {
					conteudo,
				}
			} = props;

			return (
				<RichText
					tagName="p"
					className={ className }
					onChange={ novoConteudo => setAttributes( { conteudo: novoConteudo } ) }
					value={ conteudo }
				/>
			);
		},

		save( props ) {
			return (
				<RichText.Content tagName="p" value={ props.attributes.conteudo } />
			);
		},
	}
);
console.log( 'teste' );
